
Partial Class QueryStringResult
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' Pobieranie informacji o łańcuchu znaków zapytania.
        Dim Feet, Yards As Single
        Feet = Val(Request.QueryString("Feet"))
        Yards = Val(Request.QueryString("Yards"))

        ' Wykonywanie obliczeń
        Dim Inches, Meters As Single
        Inches = 36 * Yards + 12 * Feet
        Meters = Inches / 39.37

        ' Wyświetlanie wyniku
        lblResult.Text = Yards.ToString() & " jardy + " & Feet.ToString()
        lblResult.Text &= " stopy = " & Meters.ToString() & " metrów. "

    End Sub
End Class
